
QGIS Application - Bug report #2775

Attempt to close QGIS produces an error

2010-06-02 12:53 AM - dr -

Status: Closed

Priority: Low

Assignee: Borys Jurgiel

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12835

Description

If try to close QGIS window when in status bar "Looking for new plugins..." status is present, then we get an error:

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\plugin_installer\\installer_data.py", line 173, in stateChanged

    self.emit(SIGNAL("anythingChanged(QString, int, int)"), self.key, state, 0)

[[TypeError]]: 'NoneType' object is not callable

Python version:

2.5.1 (r251:54863, Apr 18 2007, 08:51:08) [MSC v.1310 32 bit (Intel)]

QGIS version:

1.5.0-Trunk Trunk, 13604

Associated revisions

Revision 9d2da503 - 2010-06-17 09:02 PM - Borys Jurgiel

fix #2775

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13742 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision b6256d02 - 2010-06-17 09:02 PM - Borys Jurgiel

fix #2775

git-svn-id: http://svn.osgeo.org/qgis/trunk@13742 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-06-02 12:58 AM - Borys Jurgiel

- Status changed from Open to In Progress

#2 - 2010-06-02 01:17 AM - Giuseppe Sucameli

Tried on Ubuntu. QGis shows the same error message
#3 - 2010-06-17 12:02 PM - Borys Jurgiel

- Resolution set to fixed

- Status changed from In Progress to Closed

fixed in 13742
